[Wine] Re: Ubuntu users, please upgrade to Ubuntu 8.04 Hardy for Wine 0

Doofus wineforum-user at winehq.org
Tue May 6 19:31:02 CDT 2008

Scott Ritchie wrote:
> To prevent conflicts when upgrading to 8.04, older releases will no longer be getting Wine updates.  Ubuntu Hardy will be released this Thursday, and contains many fixes that also affect Wine, such as support for some missing libraries in the 64 bit version.

Out of interest, could you write a little about what conflicts upgraders to 8.04 would have encountered, considering that Wine packages for various earlier Ubuntu versions were available simultaneously?

It does suck a bit that Wine builds for all earlier Ubuntu versions were discontinued the second 8.04 was released, as of course many people don't want to/aren't ready to upgrade just yet. Even Microsoft wouldn't be that unkind... :)

Would it be possible to, as a workaround for any upgrade-to-8.04 problems, to resume building Wine for older Ubuntu versions, but put them in a different repository? Then people who are for the time being staying with older versions can get them, and will know to remove Wine before upgrading to 8.04 in future (if necessary). And people who don't explicitly add the new repository won't get any Wine versions past 0.9.59 until they upgrade to Ubuntu 8.04.

More information about the wine-users mailing list